Subject: [iucg] Fwd: support of metadata

From: Elisabeth Blanconil <[email-masked]>
Date: Wed, 23 Sep 2009 02:53:02 +0200

François,

Sure we agree. But supporting two kinds of  accentuated/non
accentuated capitals is more complex. Hence why we need it to be
supported.

Unicode does it in giving the control to the people, through its
choice of graphic patterns. IDNA (as proposed) obey mechanical
constraints but does not provide the machine the necessary
metainformation to restore a proper end to end use. This is an
engineering lack. But one can address it in giving back the control to
the master (i.e. the who they name the user).

Elisabeth Blanconil

Le 22 septembre 2009 03:08, François Jacquemin
<[email-masked]> a écrit :
>
> Le 21 sept. 09 à 18:04, Elisabeth Blanconil a écrit :
>
>> François,
>>
>> the issue is as usual a common tussle (cf. Dave Clark,  John
>> Wroclawski, Karen R. Sollins, Bob Braden :  Tussle in Cyberspace:
>> Defining Tomorrow's Internet:
>> http://conferences.sigcomm.org/sigcomm/2002/papers/tussle.pdf). What
>> Jefsey, in a recent mail, called the "hand to hand" new internet
>> architectural fundamental principle.
>>
>> Here, the tussle is about the linguistic diversity scripting
>> bandwidth: what commercial sponsors (RFC 3869) allow engineers to work
>> out vs. what the internet users demand (and will implement anyway).
>> The working example is the French language (not the language of
>> France) because we know it, it is a good example of diversity
>> (francophonie) and all of us are not French. To explain Jean-Michel
>> mail, rules about accents and small capital for postal addresses are
>> not the same in France and in Swiss. This means that if we relate a
>> domain name to a civic or postal address (RFC 4776) what is not only
>> advisable but necessary when TMs are involved, we have a conflict.
>>
>> So our position is simple "qui peut le plus peut le moins". We want to
>> make sure IDNA, or at least IDNABIS with a possible 100% IDNA
>> compatible dowgrading, does support the "worst" legal and use cases.
>> Martin Dürst told us there were similar problems in other European
>> languages, but the issue is technical not linguistic.
>>
>> Now, neither engineers nor lead users have the monopoly for finding
>> solutions. This is why an iterative dialog is necessary. Also, there
>> are in life two kinds of technologies - the one for the machine side
>> (engineering and manufacturing) and the one for the people side
>> (interface and know how). Some tasks are better located on one side or
>> the other. This is why we have started completing the Engineering's
>> effort to "influence those who design, use, and manage the Internet
>> for it to work better" by the lead users contributions in order to
>> help those who design, use, and manage the internet for them to use it
>> better.
>>
>> For example, what Gervase says is wikipedia knowledge. Wikipedia
>> forgets the diversity of laws, orthotypography of more than 50
>> countries and national French based cultures. Wikipedia does not know
>> either about the innovative capacity of IETF participants. We all know
>> that the issue is not that simple - otherwise ICANN could have solved
>> it without calling on the IETF. This is why we are here: to make a
>> complex technical challenge simple to the users, not to make it simple
>> to us in constraining it within the limits of our existing
>> architectural inabilities. If our target is to match the past I am
>> afraid Ping-Pong (my horse) will not be able to deliver much of this
>> single mail.
>>
>> Best.
>> Elisabeth Blanconil
>
> Si vous m'y autorisez en français, je suis absolument d'accord avec ça. De
> même que je suis absolument d'accord avec le site de l'académie française, à
> la relecture, je ne suis pas sûr que ma positions soit claire, on peut
> imaginer que je donne quitus à Jean-Michel qui suppose qu'il est correct
> pour une écriture manuscrite de ne pas accentuer les majuscules. En français
> de France, certes, pas en ce qui concerne le français d'autres parties de la
> francophonie, je ne peux que rejoindre le point de vue de l'académie. Je
> rappelle que c'est déjà au nom des limitations de la technique que la
> machine à écrire a jadis attaqué l'accentuation, et qu'aujourd'hui, à
> l'heure des nouvelles technologies, il serait temps de chercher à dépasser
> des limitations d'un autre âge, il appartient aux ingénieurs d'assurer la
> rétrocompatibilité.
>
> I agree with you.  But also i'm ok with the french academy site, i hope it
> was obvious i am not ok with the idea you can not accentuate uppercase in
> manual scripting, in french of France, not in french of other parts of the
> world. In the past, with Remington limitations, the french accents have been
> attacked.  Today, the power of technology and engineers have to pass over
> this threshold and also take care of downgrading compatibility.
>>
>> Le 21 septembre 2009 03:16, François Jacquemin
>> <[email-masked]> a écrit :
>>>
>>> Le 18 sept. 09 à 00:02, Nicolas Krebs a écrit :
>>>
>>>> jean-michel bernier de portzamparc wrote
>>>>
>>>>> accentuated majuscules should be
>>>>> rendered in best mechanical printing as accentuated upper cases,
>>>>> but should
>>>>> be rendered as non- accentuated uppercases in manual scripting.
>>>>
>>>> Not in French language (
>>>> http://www.academie-francaise.fr/langue/questions.html#accentuation
>>>> etcetera).
>>>
>>> You are absolutely right. I strongly agree.
>>>>
>>>>
>>>> _______________________________________________
>>>> Idna-update mailing list
>>>> [email-masked]
>>>> http://www.alvestrand.no/mailman/listinfo/idna-update
>>>
>>> --
>>> François Jacquemin
>>> [email-masked]
>>>
>>>
>>>
>>> _______________________________________________
>>> Idna-update mailing list
>>> [email-masked]
>>> http://www.alvestrand.no/mailman/listinfo/idna-update
>>>
>
> François Jacquemin
> [email-masked]
>
>
>
>